PUT api/UserAdmin/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

UserMaster
NameDescriptionTypeAdditional information
UserId

integer

None.

UserName

string

Required

String length: inclusive between 0 and 50

MobileNo

string

Required

String length: inclusive between 0 and 10

EmailId

string

Required

String length: inclusive between 0 and 255

StatusId

integer

None.

IsProfileUpdate

boolean

None.

RoleId

integer

None.

Password

string

Required

Salt

string

Required

CreatedById

integer

None.

CreatedByDate

date

None.

ModifiedById

integer

None.

ModifiedByDate

date

None.

VerificationCode

string

String length: inclusive between 0 and 50

BuyingDetails

Collection of BuyingDetail

None.

OrderDetails

Collection of OrderDetail

None.

OrderMasters

Collection of OrderMaster

None.

PaymentDetails

Collection of PaymentDetail

None.

UserCartDetails

Collection of UserCartDetail

None.

UserDetails

Collection of UserDetail

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": 1,
  "userName": "sample string 2",
  "mobileNo": "sample string 3",
  "emailId": "sample string 4",
  "statusId": 5,
  "isProfileUpdate": true,
  "roleId": 7,
  "password": "sample string 8",
  "salt": "sample string 9",
  "createdById": 10,
  "createdByDate": "2026-03-15T04:58:45.0647146-07:00",
  "modifiedById": 1,
  "modifiedByDate": "2026-03-15T04:58:45.0647146-07:00",
  "verificationCode": "sample string 12",
  "buyingDetails": [
    {
      "$id": "2",
      "buyingDetailId": 1,
      "userId": 2,
      "videoId": 3,
      "statusId": 4,
      "createdDate": "2026-03-15T04:58:45.0647146-07:00",
      "createdById": 6,
      "modifiedById": 7,
      "modifiedDate": "2026-03-15T04:58:45.0647146-07:00",
      "userMaster": {
        "$ref": "1"
      },
      "videoMaster": {
        "$id": "3",
        "board": [
          1,
          2
        ],
        "class": [
          1,
          2
        ],
        "subject": [
          1,
          2
        ],
        "faculty": [
          1,
          2
        ],
        "imageType": "sample string 1",
        "imageValue": "sample string 2",
        "baseString": "sample string 3",
        "showImage": true,
        "previewImage": "sample string 5",
        "videoId": 6,
        "name": "sample string 7",
        "description": "sample string 8",
        "thumbnailUrl": "sample string 9",
        "videoUrl": "sample string 10",
        "statusId": 11,
        "isGuestVideo": true,
        "className": "sample string 13",
        "createdById": 14,
        "createdDate": "2026-03-15T04:58:45.0647146-07:00",
        "modifiedById": 1,
        "modifiedDate": "2026-03-15T04:58:45.0647146-07:00",
        "isHomePage": true,
        "canView": true,
        "canViewWithoutLogin": true,
        "price": 19.0,
        "videoPreviewLink": "sample string 20",
        "discountPrice": 1.0,
        "orderById": 21,
        "homePageOrderById": 22,
        "chapterName": "sample string 23",
        "buyingDetails": [
          {
            "$ref": "2"
          },
          {
            "$ref": "2"
          }
        ],
        "metaTagMasters": [
          {
            "$id": "4",
            "metaTagId": 1,
            "tagName": "sample string 2",
            "videoId": 3,
            "statusId": 4,
            "videoMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "4"
          }
        ],
        "orderDetails": [
          {
            "$id": "5",
            "orderDetailId": 1,
            "videoId": 2,
            "orderId": 3,
            "userId": 1,
            "statusId": 4,
            "orderMaster": {
              "$id": "6",
              "orderId": 1,
              "customerName": "sample string 2",
              "emailId": "sample string 3",
              "mobileNumber": "sample string 4",
              "orderCode": "sample string 5",
              "token": "sample string 6",
              "customerId": 7,
              "createdById": 8,
              "createdDate": "2026-03-15T04:58:45.0647146-07:00",
              "modifiedById": 1,
              "modifiedDate": "2026-03-15T04:58:45.0647146-07:00",
              "statusId": 10,
              "taxAmount": 11.0,
              "totalAmount": 12.0,
              "paytmStatus": "sample string 13",
              "bankTaxId": "sample string 14",
              "refundAmount": 1.0,
              "paytmResponseMsg": "sample string 15",
              "orderDetails": [
                {
                  "$ref": "5"
                },
                {
                  "$ref": "5"
                }
              ],
              "userMaster": {
                "$ref": "1"
              }
            },
            "userMaster": {
              "$ref": "1"
            },
            "videoMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "5"
          }
        ],
        "userCartDetails": [
          {
            "$id": "7",
            "cartId": 1,
            "userId": 2,
            "videoId": 3,
            "userMaster": {
              "$ref": "1"
            },
            "videoMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "7"
          }
        ],
        "videoCategoryMasters": [
          {
            "$id": "8",
            "courseCategoryId": 1,
            "videoId": 2,
            "courseParentCategoryId": 3,
            "courseChildCategoryId": 4,
            "videoMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "8"
          }
        ],
        "videoFeedbackMasters": [
          {
            "$id": "9",
            "feedbackId": 1,
            "videoId": 2,
            "userId": 3,
            "rating": 4.0,
            "comment": "sample string 5",
            "createdDate": "2026-03-15T04:58:45.0647146-07:00",
            "createdById": 7,
            "modifiedById": 1,
            "modifiedDate": "2026-03-15T04:58:45.0647146-07:00",
            "status": 8,
            "videoMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "9"
          }
        ]
      },
      "paymentDetails": [
        {
          "$id": "10",
          "paymentId": 1,
          "buyingDetailId": 2,
          "userId": 3,
          "statusId": 4,
          "netAmount": 5.0,
          "taxAmount": 6.0,
          "totalAmount": 7.0,
          "createdDate": "2026-03-15T04:58:45.0647146-07:00",
          "createdById": 9,
          "modifiedById": 1,
          "modifiedDate": "2026-03-15T04:58:45.0647146-07:00",
          "bankTaxId": "sample string 10",
          "orderId": "sample string 11",
          "gatewayName": "sample string 12",
          "transactionId": "sample string 13",
          "status": "sample string 14",
          "paytmResponseCode": "sample string 15",
          "paytmResponseMsg": "sample string 16",
          "refundAmount": 1.0,
          "paymentDesciption": "sample string 17",
          "buyingDetail": {
            "$ref": "2"
          },
          "userMaster": {
            "$ref": "1"
          }
        },
        {
          "$ref": "10"
        }
      ]
    },
    {
      "$ref": "2"
    }
  ],
  "orderDetails": [
    {
      "$ref": "5"
    },
    {
      "$ref": "5"
    }
  ],
  "orderMasters": [
    {
      "$ref": "6"
    },
    {
      "$ref": "6"
    }
  ],
  "paymentDetails": [
    {
      "$ref": "10"
    },
    {
      "$ref": "10"
    }
  ],
  "userCartDetails": [
    {
      "$ref": "7"
    },
    {
      "$ref": "7"
    }
  ],
  "userDetails": [
    {
      "$id": "11",
      "isVerificationCode": true,
      "userDetailId": 2,
      "userId": 3,
      "firstName": "sample string 4",
      "lastName": "sample string 5",
      "dob": "2026-03-15T04:58:45.0647146-07:00",
      "mobileNumber": "sample string 6",
      "emailId": "sample string 7",
      "address": "sample string 8",
      "city": "sample string 9",
      "state": "sample string 10",
      "country": "sample string 11",
      "schoolName": "sample string 12",
      "board": "sample string 13",
      "class": "sample string 14",
      "refrenceBy": "sample string 15",
      "pinCode": "sample string 16",
      "userMaster": {
        "$ref": "1"
      }
    },
    {
      "$ref": "11"
    }
  ]
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.